Loading...
Loading...
Creates many services in a single request. Each service requires a name and an amount (must be greater than 0). All other fields are optional.
apiKeyAuth API key authentication. Create an API key in your user profile and include it in the x-api-key header.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= items <= 10application/json
application/json
application/json
application/json
application/json
curl -X POST "https://customermates.com/api/v1/services/many" \ -H "Content-Type: application/json" \ -d '{ "services": [ { "name": "string", "amount": 0 } ] }'[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"amount": 0,
"notes": {},
"createdAt": "string",
"updatedAt": "string",
"users": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string",
"email": "user@example.com"
}
],
"deals": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
],
"customFieldValues": [
{
"columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
"value": "string"
}
]
}
]"string""string""string""string"